package pps.cloud.base.service.data.base_power_line_plant;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.util.Collection;

/**
 * 输电线路光伏配置
 *
 * @author ZWT
 * @date 2023/08/25
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class DynamicQueryBasePowerLinePlantInput {

    @XText("光伏电站ID")
    private String plantId;

    @XText("线路ID集合")
    private Collection<String> lineIds;
}
