package pps.cloud.base.service.data.base_power_line_wellhead;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.util.List;

/**
 * 输电线路井口配置
 *
 * @author ZWT
 * @date 2023/08/29
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class DynamicQueryBasePowerLineWellheadInput {

    @XText("线路ID")
    private String lineId;

    @XText("井口ID集合")
    private List<String> wellheadIds;
}
