package pps.core.base.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.util.Date;

public class BaseEquipmentClientRelView implements Serializable {
    @XText("主键id")
    @TableField
    private String id;

    @XText("场站id")
    @TableField
    private String stationId;

    @XText("场站名称")
    private String stationName;

    @XText("设备id")
    @TableField
    private String equipmentId;

    @XText("上下游用户id")
    @TableField
    private String clientId;

    @XText("上下游用户名称")
    private String clientName;

    @XText("生效时间")
    @TableField
    private Date effectTime;

    @XText("失效时间")
    @TableField
    private Date endTime;

    @XText("创建人")
    @TableField
    private String createById;

    @XText("创建人名称")
    @TableField
    private String createByName;

    @XText("创建时间")
    @TableField
    private Date createTime;

    @XText("修改人")
    @TableField
    private String modifyById;

    @XText("修改人名称")
    @TableField
    private String modifyByName;

    @XText("修改时间")
    @TableField
    private Date modifyTime;

    @XText("管线id")
    @TableField
    private String pipelineId;

    @XText("管线名称")
    @TableField
    private String pipelineName;

    public String getPipelineId() {
        return pipelineId;
    }

    public void setPipelineId(String pipelineId) {
        this.pipelineId = pipelineId;
    }

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public String getEquipmentId() {
        return this.equipmentId;
    }

    public void setEquipmentId(String value) {
        this.equipmentId = value;
    }

    public String getClientId() {
        return this.clientId;
    }

    public void setClientId(String value) {
        this.clientId = value;
    }

    public Date getEffectTime() {
        return this.effectTime;
    }

    public void setEffectTime(Date value) {
        this.effectTime = value;
    }

    public Date getEndTime() {
        return this.endTime;
    }

    public void setEndTime(Date value) {
        this.endTime = value;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date value) {
        this.createTime = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

    public Date getModifyTime() {
        return this.modifyTime;
    }

    public void setModifyTime(Date value) {
        this.modifyTime = value;
    }

    public String getClientName() {
        return clientName;
    }

    public void setClientName(String clientName) {
        this.clientName = clientName;
    }

    public String getPipelineName() {
        return pipelineName;
    }

    public void setPipelineName(String pipelineName) {
        this.pipelineName = pipelineName;
    }

    public String getStationId() {
        return stationId;
    }

    public void setStationId(String stationId) {
        this.stationId = stationId;
    }

    public String getStationName() {
        return stationName;
    }

    public void setStationName(String stationName) {
        this.stationName = stationName;
    }
}
