package pps.core.base.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.util.Date;

@TableName("base_equipment_property")
public class BaseEquipmentPropertyEnt implements Serializable {
    @XText("主键")
    @TableId(type = IdType.AUTO)
    private String id;

    @XText("设备id")
    @TableField
    private String equipmentId;

    @XText("属性id")
    @TableField
    private String propertyId;

    @XText("属性英文名")
    @TableField
    private String propertyNameEn;

    @XText("属性值")
    @TableField
    private String propertyValue;

    @XText("创建人")
    @TableField
    private String createById;

    @XText("创建人名称")
    @TableField
    private String createByName;

    @XText("修改人")
    @TableField
    private String modifyById;

    @XText("修改人名称")
    @TableField
    private String modifyByName;

    @XText("创建时间")
    @TableField
    private Date createTime;

    @XText("修改时间")
    @TableField
    private Date modifyTime;

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public String getEquipmentId() {
        return this.equipmentId;
    }

    public void setEquipmentId(String value) {
        this.equipmentId = value;
    }

    public String getPropertyId() {
        return this.propertyId;
    }

    public void setPropertyId(String value) {
        this.propertyId = value;
    }

    public String getPropertyNameEn() {
        return this.propertyNameEn;
    }

    public void setPropertyNameEn(String value) {
        this.propertyNameEn = value;
    }

    public String getPropertyValue() {
        return this.propertyValue;
    }

    public void setPropertyValue(String value) {
        this.propertyValue = value;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

}
