package pps.core.base.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.util.Date;

@Data
@TableName("base_operational_constraint")
public class BaseOperationalConstraintEnt implements Serializable {
    @XText("场站组织机构关系(主键)")
    @TableId(type = IdType.AUTO)
    private String id;

    @XText("业务类型")
    @TableField
    private String busineType;

    @XText("保存或提交截止时间(格式 18:00)")
    @TableField
    private String saveSubmitTime;

    @XText("审核截止时间(格式 18:00)")
    @TableField
    private String auditTime;

    @XText("申请变更截止时间(格式 18:00)")
    @TableField
    private String applyChangeTime;

    @XText("创建人")
    @TableField
    private String createById;

    @XText("创建人名称")
    @TableField
    private String createByName;

    @XText("创建时间")
    @TableField
    private Date createTime;

    @XText("修改人")
    @TableField
    private String modifyById;

    @XText("修改人名称")
    @TableField
    private String modifyByName;

    @XText("修改时间")
    @TableField
    private Date modifyTime;
}
