package pps.core.base.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import xstartup.annotation.XText;

import java.io.Serializable;

@TableName("gas_upload_day_plan_config")
public class GasUploadDayPlanConfigEnt implements Serializable {
    @TableId(type = IdType.AUTO)
    private String id;

    @XText("数据项管理组织机构id")
    @TableField
    private String mOuId;

    @XText("数据项管理组织机构名称")
    @TableField
    private String mOuName;

    @XText("管线id")
    @TableField
    private String pipelineId;

    @XText("管线名称")
    @TableField
    private String pipelineName;

    @XText("管线显示名称")
    @TableField
    private String pipelineDisplayName;

    @XText("场站id")
    @TableField
    private String stationId;

    @XText("场站名称")
    @TableField
    private String stationName;

    @XText("托运商id")
    @TableField
    private String shipperId;

    @XText("托运商名称")
    @TableField
    private String shipperName;

    @XText("气源id")
    @TableField
    private String sourceId;

    @XText("气源名称")
    @TableField
    private String sourceName;

    @XText("排序")
    @TableField
    private Integer sort;

    @XText("日指定（万方）数据点")
    @TableField
    private Integer dayPlanDid;

    @XText("日指定（万方）数据点")
    @TableField
    private Integer remarkDid;

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public String getMOuId() {
        return this.mOuId;
    }

    public void setMOuId(String value) {
        this.mOuId = value;
    }

    public String getMOuName() {
        return this.mOuName;
    }

    public void setMOuName(String value) {
        this.mOuName = value;
    }

    public String getPipelineId() {
        return this.pipelineId;
    }

    public void setPipelineId(String value) {
        this.pipelineId = value;
    }

    public String getPipelineName() {
        return this.pipelineName;
    }

    public void setPipelineName(String value) {
        this.pipelineName = value;
    }

    public String getStationId() {
        return this.stationId;
    }

    public void setStationId(String value) {
        this.stationId = value;
    }

    public String getStationName() {
        return this.stationName;
    }

    public void setStationName(String value) {
        this.stationName = value;
    }

    public String getShipperId() {
        return this.shipperId;
    }

    public void setShipperId(String value) {
        this.shipperId = value;
    }

    public String getShipperName() {
        return this.shipperName;
    }

    public void setShipperName(String value) {
        this.shipperName = value;
    }

    public String getSourceId() {
        return this.sourceId;
    }

    public void setSourceId(String value) {
        this.sourceId = value;
    }

    public String getSourceName() {
        return this.sourceName;
    }

    public void setSourceName(String value) {
        this.sourceName = value;
    }

    public Integer getSort() {
        return this.sort;
    }

    public void setSort(Integer value) {
        this.sort = value;
    }

    public Integer getDayPlanDid() {
        return this.dayPlanDid;
    }

    public void setDayPlanDid(Integer value) {
        this.dayPlanDid = value;
    }

    public String getmOuId() {
        return mOuId;
    }

    public void setmOuId(String mOuId) {
        this.mOuId = mOuId;
    }

    public String getmOuName() {
        return mOuName;
    }

    public void setmOuName(String mOuName) {
        this.mOuName = mOuName;
    }

    public Integer getRemarkDid() {
        return remarkDid;
    }

    public void setRemarkDid(Integer remarkDid) {
        this.remarkDid = remarkDid;
    }

    public String getPipelineDisplayName() {
        return pipelineDisplayName;
    }

    public void setPipelineDisplayName(String pipelineDisplayName) {
        this.pipelineDisplayName = pipelineDisplayName;
    }
}
