package pps.core.base.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.util.Date;

@TableName("scada_gather_box")
public class ScadaGatherBoxEnt implements Serializable {
    @XText("采集模型主键")
    @TableId(type = IdType.AUTO)
    private String id;

    @XText("采集模板名称")
    @TableField
    private String gatherBoxName;

    @XText("介质类型")
    @TableField
    private String mediaType;

    @XText("模型状态")
    @TableField
    private Integer boxState;

    @XText("创建时间")
    @TableField
    private Date createTime;

    @XText("创建人")
    @TableField
    private String createById;

    @XText("创建人名称")
    @TableField
    private String createByName;

    @XText("修改时间")
    @TableField
    private Date modifyTime;

    @XText("修改人")
    @TableField
    private String modifyById;

    @XText("修改人名称")
    @TableField
    private String modifyByName;

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public String getGatherBoxName() {
        return this.gatherBoxName;
    }

    public void setGatherBoxName(String value) {
        this.gatherBoxName = value;
    }

    public String getMediaType() {
        return this.mediaType;
    }

    public void setMediaType(String value) {
        this.mediaType = value;
    }

    public Integer getBoxState() {
        return this.boxState;
    }

    public void setBoxState(Integer value) {
        this.boxState = value;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date value) {
        this.createTime = value;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public Date getModifyTime() {
        return this.modifyTime;
    }

    public void setModifyTime(Date value) {
        this.modifyTime = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

}
