package pps.core.base.mybatis;

import com.baomidou.mybatisplus.core.config.GlobalConfig;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.EnableTransactionManagement;
import pps.core.common.mybatis.MybaitisGlobalConfigSuppiler;
import xstartup.service.mybatis.XMybatis;

/**
 * mybatis 配置类
 */
 @Component
 @EnableTransactionManagement
 @MapperScan(sqlSessionTemplateRef = "sqlSessionTemplateRef.pps.core.base",
        sqlSessionFactoryRef = "sqlSessionFactoryRef.pps.core.base",
        basePackages = {"pps.core.base.mapper"})
public class PpsCoreBaseMybatis extends XMybatis {
    @Override
    public GlobalConfig getGlobalConfig() {
        return MybaitisGlobalConfigSuppiler.INSTANCE.get();
    }
}
