package pps.core.base.service.data.base_equipment_extend_property;

import xstartup.annotation.XText;
import xstartup.base.data.XPageInput;

public class QueryBaseEquipmentExtendPropertyInput extends XPageInput {
    @XText("主键")
    private String id;

    @XText("属性名称")
    private String propertyName;

    @XText("英文名称")
    private String propertyNameEn;

    @XText("属性类型（字典:文本、下拉）")
    private String propertyType;

    @XText("应用设备类型（字典）")
    private String useEquipmentType;

    @XText("是否应用至下级1、是0、否")
    private Integer isUseAll;

    @XText("生效状态1、是0、否")
    private Integer isValid;

    @XText("页面排序码")
    private Integer sort;

    @XText("是否必填1、是0、否")
    private Integer isRequired;

    @XText("字符串大小")
    private Integer stringSize;

    @XText("单位")
    private String unit;

    @XText("小数位")
    private Integer decimalDigits;

    @XText("日期格式")
    private String dateForm;

    @XText("数据字典")
    private String dataDic;

    @XText("是否支持多选")
    private Integer isSupportMultiple;

    @XText("多行文本字符串数量")
    private Integer richTextSize;

    @XText("创建人")
    private String createById;

    @XText("创建人名称")
    private String createByName;

    @XText("修改人")
    private String modifyById;

    @XText("修改人名称")
    private String modifyByName;

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public String getPropertyName() {
        return this.propertyName;
    }

    public void setPropertyName(String value) {
        this.propertyName = value;
    }

    public String getPropertyNameEn() {
        return this.propertyNameEn;
    }

    public void setPropertyNameEn(String value) {
        this.propertyNameEn = value;
    }

    public String getPropertyType() {
        return this.propertyType;
    }

    public void setPropertyType(String value) {
        this.propertyType = value;
    }

    public String getUseEquipmentType() {
        return this.useEquipmentType;
    }

    public void setUseEquipmentType(String value) {
        this.useEquipmentType = value;
    }

    public Integer getIsUseAll() {
        return this.isUseAll;
    }

    public void setIsUseAll(Integer value) {
        this.isUseAll = value;
    }

    public Integer getIsValid() {
        return this.isValid;
    }

    public void setIsValid(Integer value) {
        this.isValid = value;
    }

    public Integer getSort() {
        return this.sort;
    }

    public void setSort(Integer value) {
        this.sort = value;
    }

    public Integer getIsRequired() {
        return this.isRequired;
    }

    public void setIsRequired(Integer value) {
        this.isRequired = value;
    }

    public Integer getStringSize() {
        return this.stringSize;
    }

    public void setStringSize(Integer value) {
        this.stringSize = value;
    }

    public String getUnit() {
        return this.unit;
    }

    public void setUnit(String value) {
        this.unit = value;
    }

    public Integer getDecimalDigits() {
        return this.decimalDigits;
    }

    public void setDecimalDigits(Integer value) {
        this.decimalDigits = value;
    }

    public String getDateForm() {
        return this.dateForm;
    }

    public void setDateForm(String value) {
        this.dateForm = value;
    }

    public String getDataDic() {
        return this.dataDic;
    }

    public void setDataDic(String value) {
        this.dataDic = value;
    }

    public Integer getIsSupportMultiple() {
        return this.isSupportMultiple;
    }

    public void setIsSupportMultiple(Integer value) {
        this.isSupportMultiple = value;
    }

    public Integer getRichTextSize() {
        return this.richTextSize;
    }

    public void setRichTextSize(Integer value) {
        this.richTextSize = value;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

}
