package pps.core.base.service.data.metering_equipment_ledger;

import xstartup.annotation.XText;

import java.util.Date;

public class GetMeteringEquipmentLedgerViewInput {
    @XText("id")
    private Integer id;

    @XText("管线ID")
    private String pipelineId;

    @XText("场站ID")
    private String stationId;

    @XText("客户ID")
    private String customerId;

    @XText("二级单位ID")
    private String subunitId;

    @XText("企业ID")
    private String enterprieId;

    @XText("设备ID")
    private Integer equipmentId;

    @XText("设备类型ID")
    private Integer equipmentTypeId;

    @XText("工艺位置")
    private String technologyLocation;

    @XText("工艺编号")
    private String technologyNumber;

    @XText("PPS设备ID")
    private String ppsEquipmentId;

    @XText("PPS工艺编号")
    private String ppsNumber;

    @XText("生产产家ID")
    private Integer productionFactoryId;

    @XText("出厂编号")
    private String productionNumber;

    @XText("出厂日期")
    private Date productionDate;

    @XText("规格型号")
    private Integer specificationsId;

    @XText("投运日期")
    private Date commissioningDate;

    @XText("用途ID")
    private Integer usageId;

    @XText("用途1ID")
    private Integer usage1Id;

    @XText("资产所属ID")
    private Integer assetBelongsId;

    @XText("资产管理权")
    private Integer authorityId;

    @XText("使用状态ID")
    private Integer usageStateId;

    @XText("资产单位")
    private String assetUint;

    @XText("检定周期")
    private Integer vcylce;

    @XText("介质类型")
    private String mediumType;

    @XText("流量计口径")
    private Integer caliber;

    @XText("压力等级")
    private Integer pressureLevel;

    @XText("准确度")
    private Integer accuracy;

    @XText("最小流量")
    private Integer minflow;

    @XText("最大流量")
    private Integer maxflow;

    @XText("分界流量")
    private Integer demarcationflow;

    @XText("罐号")
    private String potNumber;

    @XText("容积")
    private Integer volume;

    @XText("储罐类型")
    private Integer type;

    @XText("储存介质品号")
    private Integer storageMedium;

    @XText("备注")
    private String bak;

    @XText("工作流id")
    private String workflowId;

    @XText("状态")
    private Integer auditStatus;

    @XText("创建人id")
    private String createrId;

    @XText("创建人")
    private String creater;

    @XText("创建时间")
    private Date createDate;

    public Integer getId() {
        return this.id;
    }

    public void setId(Integer value) {
        this.id = value;
    }

    public String getPipelineId() {
        return this.pipelineId;
    }

    public void setPipelineId(String value) {
        this.pipelineId = value;
    }

    public String getStationId() {
        return this.stationId;
    }

    public void setStationId(String value) {
        this.stationId = value;
    }

    public String getCustomerId() {
        return this.customerId;
    }

    public void setCustomerId(String value) {
        this.customerId = value;
    }

    public String getSubunitId() {
        return this.subunitId;
    }

    public void setSubunitId(String value) {
        this.subunitId = value;
    }

    public String getEnterprieId() {
        return this.enterprieId;
    }

    public void setEnterprieId(String value) {
        this.enterprieId = value;
    }

    public Integer getEquipmentId() {
        return this.equipmentId;
    }

    public void setEquipmentId(Integer value) {
        this.equipmentId = value;
    }

    public Integer getEquipmentTypeId() {
        return this.equipmentTypeId;
    }

    public void setEquipmentTypeId(Integer value) {
        this.equipmentTypeId = value;
    }

    public String getTechnologyLocation() {
        return this.technologyLocation;
    }

    public void setTechnologyLocation(String value) {
        this.technologyLocation = value;
    }

    public String getTechnologyNumber() {
        return this.technologyNumber;
    }

    public void setTechnologyNumber(String value) {
        this.technologyNumber = value;
    }

    public String getPpsEquipmentId() {
        return this.ppsEquipmentId;
    }

    public void setPpsEquipmentId(String value) {
        this.ppsEquipmentId = value;
    }

    public String getPpsNumber() {
        return this.ppsNumber;
    }

    public void setPpsNumber(String value) {
        this.ppsNumber = value;
    }

    public Integer getProductionFactoryId() {
        return this.productionFactoryId;
    }

    public void setProductionFactoryId(Integer value) {
        this.productionFactoryId = value;
    }

    public String getProductionNumber() {
        return this.productionNumber;
    }

    public void setProductionNumber(String value) {
        this.productionNumber = value;
    }

    public Date getProductionDate() {
        return this.productionDate;
    }

    public void setProductionDate(Date value) {
        this.productionDate = value;
    }

    public Integer getSpecificationsId() {
        return this.specificationsId;
    }

    public void setSpecificationsId(Integer value) {
        this.specificationsId = value;
    }

    public Date getCommissioningDate() {
        return this.commissioningDate;
    }

    public void setCommissioningDate(Date value) {
        this.commissioningDate = value;
    }

    public Integer getUsageId() {
        return this.usageId;
    }

    public void setUsageId(Integer value) {
        this.usageId = value;
    }

    public Integer getUsage1Id() {
        return this.usage1Id;
    }

    public void setUsage1Id(Integer value) {
        this.usage1Id = value;
    }

    public Integer getAssetBelongsId() {
        return this.assetBelongsId;
    }

    public void setAssetBelongsId(Integer value) {
        this.assetBelongsId = value;
    }

    public Integer getAuthorityId() {
        return this.authorityId;
    }

    public void setAuthorityId(Integer value) {
        this.authorityId = value;
    }

    public Integer getUsageStateId() {
        return this.usageStateId;
    }

    public void setUsageStateId(Integer value) {
        this.usageStateId = value;
    }

    public String getAssetUint() {
        return this.assetUint;
    }

    public void setAssetUint(String value) {
        this.assetUint = value;
    }

    public Integer getVcylce() {
        return this.vcylce;
    }

    public void setVcylce(Integer value) {
        this.vcylce = value;
    }

    public String getMediumType() {
        return this.mediumType;
    }

    public void setMediumType(String value) {
        this.mediumType = value;
    }

    public Integer getCaliber() {
        return this.caliber;
    }

    public void setCaliber(Integer value) {
        this.caliber = value;
    }

    public Integer getPressureLevel() {
        return this.pressureLevel;
    }

    public void setPressureLevel(Integer value) {
        this.pressureLevel = value;
    }

    public Integer getAccuracy() {
        return this.accuracy;
    }

    public void setAccuracy(Integer value) {
        this.accuracy = value;
    }

    public Integer getMinflow() {
        return this.minflow;
    }

    public void setMinflow(Integer value) {
        this.minflow = value;
    }

    public Integer getMaxflow() {
        return this.maxflow;
    }

    public void setMaxflow(Integer value) {
        this.maxflow = value;
    }

    public Integer getDemarcationflow() {
        return this.demarcationflow;
    }

    public void setDemarcationflow(Integer value) {
        this.demarcationflow = value;
    }

    public String getPotNumber() {
        return this.potNumber;
    }

    public void setPotNumber(String value) {
        this.potNumber = value;
    }

    public Integer getVolume() {
        return this.volume;
    }

    public void setVolume(Integer value) {
        this.volume = value;
    }

    public Integer getType() {
        return this.type;
    }

    public void setType(Integer value) {
        this.type = value;
    }

    public Integer getStorageMedium() {
        return this.storageMedium;
    }

    public void setStorageMedium(Integer value) {
        this.storageMedium = value;
    }

    public String getBak() {
        return this.bak;
    }

    public void setBak(String value) {
        this.bak = value;
    }

    public String getWorkflowId() {
        return this.workflowId;
    }

    public void setWorkflowId(String value) {
        this.workflowId = value;
    }

    public Integer getAuditStatus() {
        return this.auditStatus;
    }

    public void setAuditStatus(Integer value) {
        this.auditStatus = value;
    }

    public String getCreaterId() {
        return this.createrId;
    }

    public void setCreaterId(String value) {
        this.createrId = value;
    }

    public String getCreater() {
        return this.creater;
    }

    public void setCreater(String value) {
        this.creater = value;
    }

    public Date getCreateDate() {
        return this.createDate;
    }

    public void setCreateDate(Date value) {
        this.createDate = value;
    }

}
