package pps.core.base.service.data.scada_gather_conf;

import com.baomidou.mybatisplus.annotation.TableField;
import xstartup.annotation.XText;

import java.util.Date;

public class GetScadaGatherConfOutput {
    @XText("主键")
    private String id;

    @XText("scada采集模型关系配置id")
    private String scadaGatherBoxId;

    @XText("scada采集模型关系配置主键")
    private String scadaGatherBoxRelId;

    @XText("scada环境标识 ")
    private String scadaEnvironmentInfoId;

    @XText("scada环境名称")
    private String environmentInfoName;

    @XText("scada 清单标识")
    private String scadaInventoryInfoId;

    @XText("Scada点号")
    private String scadaTag;

    @XText("config行数据主键")
    private String configColumnId;

    @XText("Scada对应采集标签名称")
    private String tagName;

    @XText("开始采集时间")
    private String collectStartTime;

    @XText("采集频率")
    private String collectInterval;

    @XText("最小报警值")
    private String alarmMin;

    @XText("最大报警值")
    private String alarmMax;

    @XText("计量单位")
    private String dataUnit;

    @XText("描述")
    private String description;
    @XText("采集失效日期")
    private String gatherExpiryDate;
    @XText("创建时间")
    private Date createTime;

    @XText("创建人")
    private String createById;

    @XText("创建人名称")
    private String createByName;

    @XText("修改时间")
    private Date modifyTime;

    @XText("修改人")
    private String modifyById;

    @XText("修改人名称")
    private String modifyByName;

    @XText("采集方式：true-自动；false-手动")
    private Boolean TimerGather;

    @XText("向前向后（1-向前；2-向后）")
    private String moveTowards;
    @XText("采集类型（1-常规；2-自定义）")
    private String gatherType;
    @XText("偏移量")
    @TableField
    private String gatherOffset;

    @XText("计算方式（字典）")
    private String computWay;

    @XText("计算系数）")
    private String computCoefficient;

    public String getComputWay() {
        return computWay;
    }

    public void setComputWay(String computWay) {
        this.computWay = computWay;
    }

    public String getComputCoefficient() {
        return computCoefficient;
    }

    public void setComputCoefficient(String computCoefficient) {
        this.computCoefficient = computCoefficient;
    }

    public String getGatherOffset() {
        return gatherOffset;
    }

    public void setGatherOffset(String gatherOffset) {
        this.gatherOffset = gatherOffset;
    }


    public String getMoveTowards() {
        return moveTowards;
    }

    public void setMoveTowards(String moveTowards) {
        this.moveTowards = moveTowards;
    }

    public String getGatherType() {
        return gatherType;
    }

    public void setGatherType(String gatherType) {
        this.gatherType = gatherType;
    }

    public Boolean getTimerGather() {
        return TimerGather;
    }

    public void setTimerGather(Boolean timerGather) {
        TimerGather = timerGather;
    }

    public String getGatherExpiryDate() {
        return gatherExpiryDate;
    }

    public void setGatherExpiryDate(String gatherExpiryDate) {
        this.gatherExpiryDate = gatherExpiryDate;
    }

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public String getScadaGatherBoxId() {
        return this.scadaGatherBoxId;
    }

    public void setScadaGatherBoxId(String value) {
        this.scadaGatherBoxId = value;
    }

    public String getScadaGatherBoxRelId() {
        return this.scadaGatherBoxRelId;
    }

    public void setScadaGatherBoxRelId(String value) {
        this.scadaGatherBoxRelId = value;
    }

    public String getScadaEnvironmentInfoId() {
        return this.scadaEnvironmentInfoId;
    }

    public void setScadaEnvironmentInfoId(String value) {
        this.scadaEnvironmentInfoId = value;
    }

    public String getEnvironmentInfoName() {
        return this.environmentInfoName;
    }

    public void setEnvironmentInfoName(String value) {
        this.environmentInfoName = value;
    }

    public String getScadaInventoryInfoId() {
        return this.scadaInventoryInfoId;
    }

    public void setScadaInventoryInfoId(String value) {
        this.scadaInventoryInfoId = value;
    }

    public String getScadaTag() {
        return this.scadaTag;
    }

    public void setScadaTag(String value) {
        this.scadaTag = value;
    }

    public String getConfigColumnId() {
        return this.configColumnId;
    }

    public void setConfigColumnId(String value) {
        this.configColumnId = value;
    }

    public String getTagName() {
        return this.tagName;
    }

    public void setTagName(String value) {
        this.tagName = value;
    }

    public String getCollectStartTime() {
        return this.collectStartTime;
    }

    public void setCollectStartTime(String value) {
        this.collectStartTime = value;
    }

    public String getCollectInterval() {
        return this.collectInterval;
    }

    public void setCollectInterval(String value) {
        this.collectInterval = value;
    }

    public String getAlarmMin() {
        return this.alarmMin;
    }

    public void setAlarmMin(String value) {
        this.alarmMin = value;
    }

    public String getAlarmMax() {
        return this.alarmMax;
    }

    public void setAlarmMax(String value) {
        this.alarmMax = value;
    }

    public String getDataUnit() {
        return this.dataUnit;
    }

    public void setDataUnit(String value) {
        this.dataUnit = value;
    }

    public String getDescription() {
        return this.description;
    }

    public void setDescription(String value) {
        this.description = value;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date value) {
        this.createTime = value;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public Date getModifyTime() {
        return this.modifyTime;
    }

    public void setModifyTime(Date value) {
        this.modifyTime = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

}
