package pps.cloud.space.service;

import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XServiceResult;

/**
 * 短期间开优化Cloud模块
 *
 * @author ZWT
 * @date 2023/09/20 11:43
 */
@XService
@XText("短期间开优化Cloud模块")
public interface ISpaceOptimizeShortCloudService {

    /**
     * 短期间开优化Cloud模块--定时任务
     *
     * @param context 上下文
     * @return {@link XServiceResult}
     */
    @XText("中短期间开优化Cloud模块--定时任务")
    XServiceResult optimizeShortJob(XContext context);
}
