package pps.core.space.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import pps.core.common.entity.BaseModel;
import xstartup.annotation.XText;

import java.io.Serializable;

/**
 * 中短期间开优化井口记录
 *
 * @author ZWT
 * @date 2023/09/05
 */
@Data
public class SpaceOptimizeMidWellheadView extends BaseModel implements Serializable {

    @XText("中短期优化周期ID")
    @TableField
    private String midPeriodId;

    @XText("井口ID")
    @TableField
    private String wellheadId;

    @XText("井号")
    @TableField
    private String wellNumber;

    @XText("启动顺序")
    @TableField
    private Integer startSeq;
}
