package pps.core.space.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import pps.core.common.entity.BaseModel;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.util.Date;

/**
 * 短期间开优化周期记录
 *
 * @author ZWT
 * @date 2023/09/05
 */
@Data
@TableName("space_optimize_short_period")
public class SpaceOptimizeShortPeriodEnt extends BaseModel implements Serializable {

    @XText("线路ID")
    @TableField
    private String lineId;

    @XText("间开制度ID")
    @TableField
    private String institutionId;

    @XText("优化状态(0_已优化;1_未优化)")
    @TableField
    private Integer optimizeState;

    @XText("优化日期")
    @TableField
    private Date optimizeDate;
}
