package pps.core.space.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import pps.core.space.entity.SpaceOptimizeLongDurationView;

import java.util.List;

/**
 * 长期间开优化井口制度记录
 *
 * @author ZWT
 * @date 2023/09/07
 */
@Repository(value = "pps.core.space.mapper.SpaceOptimizeLongDurationViewMapper")
public interface SpaceOptimizeLongDurationViewMapper {
    SpaceOptimizeLongDurationView selectOne(SpaceOptimizeLongDurationView record);

    List<SpaceOptimizeLongDurationView> selectList(SpaceOptimizeLongDurationView record);

    /**
     * 批量新增
     *
     * @param list 列表
     * @return int
     */
    int batchInsertList(@Param(value = "list") List<SpaceOptimizeLongDurationView> list);
}
