package pps.core.space.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import pps.core.space.entity.SpaceOptimizeLongWellheadView;

import java.util.List;

/**
 * 长期间开优化井口记录
 *
 * @author ZWT
 * @date 2023/09/07
 */
@Repository(value = "pps.core.space.mapper.SpaceOptimizeLongWellheadViewMapper")
public interface SpaceOptimizeLongWellheadViewMapper {
    SpaceOptimizeLongWellheadView selectOne(SpaceOptimizeLongWellheadView record);

    List<SpaceOptimizeLongWellheadView> selectList(SpaceOptimizeLongWellheadView record);

    /**
     * 批量新增
     *
     * @param list 列表
     * @return int
     */
    int batchInsertList(@Param(value = "list") List<SpaceOptimizeLongWellheadView> list);
}
