package pps.core.space.service.data.space_institution_detail;

import lombok.Data;
import xstartup.annotation.XText;

/**
 * 基础间开配置
 *
 * @author ZWT
 * @date 2023/09/05
 */
@Data
public class QuerySpaceInstitutionDetailViewOutput {

    @XText("ID")
    private String id;

    @XText("组织机构ID")
    private String ouId;

    @XText("线路ID")
    private String lineId;

    @XText("电网类型key(字典获取)")
    private String gridTypeKey;

    @XText("制度名称")
    private String institutionName;

    @XText("当前基础制度(0_是,1_否)")
    private Integer isCurrentBasic;

    /**
     * 线路名称
     */
    @XText("线路名称")
    private String lineName;

    /**
     * 组织机构名称
     */
    @XText("组织机构名称")
    private String ouName;

    /**
     * 电网类型名称
     */
    @XText("电网类型名称")
    private String gridTypeName;

    /**
     * 当前基础制度值
     */
    @XText("当前基础制度值")
    private String isCurrentBasicValue;
}
