package pps.core.space.service.data.space_optimize_long_wellhead;

import lombok.Data;
import xstartup.annotation.XText;

/**
 * 长期间开优化井口记录
 *
 * @author ZWT
 * @date 2023/09/07
 */
@Data
public class GetSpaceOptimizeLongWellheadViewOutput {

    @XText("ID")
    private String id;

    @XText("长期优化周期ID")
    private String longPeriodId;

    @XText("井口ID")
    private String wellheadId;

    @XText("井号")
    private String wellNumber;
}
