package pps.cloud.prediction.service.data.storage_predicted_power_data;

import lombok.Data;
import xstartup.annotation.XText;

import java.math.BigDecimal;

/**
 * 储能预测电量数据(模拟数据测试用)
 *
 * @author ZWT
 * @date 2023/09/20
 */
@Data
public class DynamicQueryStoragePredictedPowerOutput {

    @XText("年")
    private String yearTime;

    @XText("月")
    private String monthTime;

    @XText("时")
    private String hourTime;

    @XText("分")
    private String minTime;

    @XText("预测功率")
    private BigDecimal power;
}
