package pps.core.prediction.service.data.energy_consumption_analysis;

import lombok.Data;
import xstartup.annotation.XText;

import java.math.BigDecimal;

/**
 * 能耗分析表(测试用)
 *
 * @author ZWT
 * @date 2023/11/23
 */
@Data
public class GetEnergyConsumptionAnalysisViewOutput {

    @XText("发电量(kWh)")
    private BigDecimal powerGeneration;

    @XText("用电量(kWh)")
    private BigDecimal powerConsumption;

    @XText("消纳率(%)")
    private BigDecimal absorptionRate;
}
