package pps.core.system.mapper;

import org.springframework.stereotype.Repository;
import pps.core.system.entity.SysAreaView;

import java.util.List;

@Repository(value = "pps.core.system.mapper.SysAreaViewMapper")
public interface SysAreaViewMapper {
    SysAreaView selectOne(SysAreaView record);

    List<SysAreaView> selectList(SysAreaView record);

    List<SysAreaView> selectListAll(SysAreaView record);

    /**
     * 查询地区列表
     *
     * @return {@link List}<{@link SysAreaView}>
     */
    List<SysAreaView> selectListAllNew();
}
