package pps.cloud.base.service.data.base_photovoltaic_plant;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.util.List;

/**
 * 光伏电站Cloud模块
 *
 * @author ZWT
 * @date 2023/09/27
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class GetBasePhotovoltaicPlantCloudInput {
    @XText("ID")
    private String id;

    @XText("是否删除(1_是;0_否)")
    private Integer isDeleted;

    @XText("电站ID集合")
    private List<String> plantIds;

    @XText("组织ID集合")
    private List<String> ouIds;
}
