package pps.cloud.base.service.data.base_power_line;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.util.List;

/**
 * 输电线路配置
 *
 * @author ZWT
 * @date 2023/08/29
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class DynamicQueryBasePowerLineInput {

    @XText("线路ID")
    private String lineId;

    @XText("线路ID集合")
    private List<String> lineIds;

    @XText("组织机构ID")
    private String ouId;

    @XText("组织机构ID集合")
    private List<String> ouIdList;

    @XText("上级线路ID")
    private String upperLineId;

    @XText("线路名称")
    private String lineName;

    @XText("电网类型key(字典获取)")
    private String gridTypeKey;

    @XText("线路类型key(字典获取)")
    private String lineTypeKey;

    @XText("市电峰谷配置ID")
    private String strategyId;
}
