package pps.cloud.base.service.data.base_power_line_wellhead;

import lombok.Data;
import xstartup.annotation.XText;

import java.math.BigDecimal;

/**
 * 输电线路井口配置
 *
 * @author ZWT
 * @date 2023/08/25
 */
@Data
public class GetBasePowerLineWellheadViewOutput {

    @XText("ID")
    private String id;

    @XText("井口ID")
    private String wellheadId;

    /**
     * 井号
     */
    @XText("井号")
    private String wellNumber;

    /**
     * 运行功率
     */
    @XText("运行功率(KW)")
    private BigDecimal serviceRating;

    @XText("启动顺序")
    private Integer startSeq;
}
