package pps.core.base.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.util.Date;

@TableName("base_small_metering_appliances_group")
public class BaseSmallMeteringAppliancesGroupEnt implements Serializable {
    @XText("主键")
    @TableId(type = IdType.AUTO)
    private String id;

    @XText("输油部id")
    @TableField
    private String ouId;

    @XText("输油部名称")
    @TableField
    private String ouName;

    @XText("计量工具组名称")
    @TableField
    private String toolGroupName;

    @XText("场站id")
    @TableField
    private String stationId;

    @XText("粮油尺id")
    @TableField
    private String measureOilRule;

    @XText("水银温度计id")
    @TableField
    private String mercuryThermometer;

    @XText("温度计id")
    @TableField
    private String thermometer;

    @XText("700-750密度计")
    @TableField
    private String seventyDensitometer;

    @XText("750-800密度计")
    @TableField
    private String seventyFiveDensitometer;

    @XText("800-850密度计")
    @TableField
    private String eightyDensitometer;

    @XText("备注")
    @TableField
    private String remark;

    @XText("创建人")
    @TableField
    private String createById;

    @XText("创建人名称")
    @TableField
    private String createByName;

    @XText("修改人")
    @TableField
    private String modifyById;

    @XText("修改人名称")
    @TableField
    private String modifyByName;

    @XText("创建时间")
    @TableField
    private Date createTime;

    @XText("修改时间")
    @TableField
    private Date modifyTime;

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public String getToolGroupName() {
        return this.toolGroupName;
    }

    public void setToolGroupName(String value) {
        this.toolGroupName = value;
    }

    public String getStationId() {
        return this.stationId;
    }

    public void setStationId(String value) {
        this.stationId = value;
    }

    public String getMeasureOilRule() {
        return this.measureOilRule;
    }

    public void setMeasureOilRule(String value) {
        this.measureOilRule = value;
    }

    public String getMercuryThermometer() {
        return this.mercuryThermometer;
    }

    public void setMercuryThermometer(String value) {
        this.mercuryThermometer = value;
    }

    public String getThermometer() {
        return this.thermometer;
    }

    public void setThermometer(String value) {
        this.thermometer = value;
    }

    public String getSeventyDensitometer() {
        return this.seventyDensitometer;
    }

    public void setSeventyDensitometer(String value) {
        this.seventyDensitometer = value;
    }

    public String getSeventyFiveDensitometer() {
        return this.seventyFiveDensitometer;
    }

    public void setSeventyFiveDensitometer(String value) {
        this.seventyFiveDensitometer = value;
    }

    public String getEightyDensitometer() {
        return this.eightyDensitometer;
    }

    public void setEightyDensitometer(String value) {
        this.eightyDensitometer = value;
    }

    public String getRemark() {
        return this.remark;
    }

    public void setRemark(String value) {
        this.remark = value;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

    public String getOuId() {
        return ouId;
    }

    public void setOuId(String ouId) {
        this.ouId = ouId;
    }

    public String getOuName() {
        return ouName;
    }

    public void setOuName(String ouName) {
        this.ouName = ouName;
    }
}
