package pps.core.base.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@TableName("base_small_metering_fix_coefficient")
public class BaseSmallMeteringFixCoefficientEnt implements Serializable {
    @XText("主键")
    @TableId(type = IdType.AUTO)
    private String id;

    @XText("计量器具id")
    @TableField
    private String meterId;

    @XText("测量值")
    @TableField
    private BigDecimal measureValue;

    @XText("修正值")
    @TableField
    private BigDecimal fixValue;

    @XText("创建人")
    @TableField
    private String createById;

    @XText("创建人名称")
    @TableField
    private String createByName;

    @XText("修改人")
    @TableField
    private String modifyById;

    @XText("修改人名称")
    @TableField
    private String modifyByName;

    @XText("创建时间")
    @TableField
    private Date createTime;

    @XText("修改时间")
    @TableField
    private Date modifyTime;

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public String getMeterId() {
        return this.meterId;
    }

    public void setMeterId(String value) {
        this.meterId = value;
    }

    public BigDecimal getMeasureValue() {
        return this.measureValue;
    }

    public void setMeasureValue(BigDecimal value) {
        this.measureValue = value;
    }

    public BigDecimal getFixValue() {
        return this.fixValue;
    }

    public void setFixValue(BigDecimal value) {
        this.fixValue = value;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

}
