package pps.core.base.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import pps.core.common.entity.BaseModel;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 井口配置表
 *
 * @author ZWT
 * @date 2023/09/08
 */
public class BaseWellheadView extends BaseModel implements Serializable {
    @XText("ID")
    @TableField
    private String id;

    @XText("是否删除(0_是；1_否)")
    @TableField
    private Integer isDeleted;

    @XText("创建人ID")
    @TableField
    private String createById;

    @XText("创建人名称")
    @TableField
    private String createByName;

    @XText("创建时间")
    @TableField
    private Date createTime;

    @XText("修改人ID")
    @TableField
    private String modifyById;

    @XText("修改人名称")
    @TableField
    private String modifyByName;

    @XText("修改时间")
    @TableField
    private Date modifyTime;

    @XText("组织机构ID")
    @TableField
    private String ouId;
    @XText("组织机构name")
    @TableField
    private String ouName;

    @XText("井号")
    @TableField
    private String wellNumber;

    @XText("运行类型key(字典获取)")
    @TableField
    private String runTypeKey;
    @XText("运行类型name(字典获取)")
    @TableField
    private String runTypeName;

    @XText("运行功率(KW)")
    @TableField
    private BigDecimal serviceRating;

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public Integer getIsDeleted() {
        return this.isDeleted;
    }

    public void setIsDeleted(Integer value) {
        this.isDeleted = value;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date value) {
        this.createTime = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

    public Date getModifyTime() {
        return this.modifyTime;
    }

    public void setModifyTime(Date value) {
        this.modifyTime = value;
    }

    public String getOuId() {
        return this.ouId;
    }

    public void setOuId(String value) {
        this.ouId = value;
    }

    public String getWellNumber() {
        return this.wellNumber;
    }

    public void setWellNumber(String value) {
        this.wellNumber = value;
    }

    public String getRunTypeKey() {
        return this.runTypeKey;
    }

    public void setRunTypeKey(String value) {
        this.runTypeKey = value;
    }

    public BigDecimal getServiceRating() {
        return this.serviceRating;
    }

    public void setServiceRating(BigDecimal value) {
        this.serviceRating = value;
    }

    public String getOuName() {
        return ouName;
    }

    public void setOuName(String ouName) {
        this.ouName = ouName;
    }

    public String getRunTypeName() {
        return runTypeName;
    }

    public void setRunTypeName(String runTypeName) {
        this.runTypeName = runTypeName;
    }
}
