package pps.core.base.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import xstartup.annotation.XText;

import java.io.Serializable;

@TableName("gas_day_plan_config")
public class GasDayPlanConfigEnt implements Serializable {
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;

    @TableField
    private String aOuId;

    @TableField
    private String aOuName;

    @XText("数据项管理组织机构id")
    @TableField
    private String mOuId;

    @XText("数据项管理组织机构名称")
    @TableField
    private String mOuName;

    @XText("管线id")
    @TableField
    private String pipelineId;

    @XText("管线名称")
    @TableField
    private String pipelineName;

    @XText("管线显示名称")
    @TableField
    private String pipelineDisplayName;

    @XText("场站id")
    @TableField
    private String stationId;

    @XText("场站名称")
    @TableField
    private String stationName;

    @XText("客户id")
    @TableField
    private String customerId;

    @XText("客户名称")
    @TableField
    private String customerName;

    @XText("托运商id")
    @TableField
    private String shipperId;

    @XText("托运商名称")
    @TableField
    private String shipperName;

    @XText("排序")
    @TableField
    private Integer sort;

    @XText("日计划数据点")
    @TableField
    private Integer dayPlanDid;

    @XText("日计划数据点-备注")
    @TableField
    private Integer remarkDid;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getaOuId() {
        return aOuId;
    }

    public void setaOuId(String aOuId) {
        this.aOuId = aOuId;
    }

    public String getaOuName() {
        return aOuName;
    }

    public void setaOuName(String aOuName) {
        this.aOuName = aOuName;
    }

    public String getmOuId() {
        return mOuId;
    }

    public void setmOuId(String mOuId) {
        this.mOuId = mOuId;
    }

    public String getmOuName() {
        return mOuName;
    }

    public void setmOuName(String mOuName) {
        this.mOuName = mOuName;
    }

    public String getPipelineId() {
        return pipelineId;
    }

    public void setPipelineId(String pipelineId) {
        this.pipelineId = pipelineId;
    }

    public String getPipelineName() {
        return pipelineName;
    }

    public void setPipelineName(String pipelineName) {
        this.pipelineName = pipelineName;
    }

    public String getPipelineDisplayName() {
        return pipelineDisplayName;
    }

    public void setPipelineDisplayName(String pipelineDisplayName) {
        this.pipelineDisplayName = pipelineDisplayName;
    }

    public String getStationId() {
        return stationId;
    }

    public void setStationId(String stationId) {
        this.stationId = stationId;
    }

    public String getStationName() {
        return stationName;
    }

    public void setStationName(String stationName) {
        this.stationName = stationName;
    }

    public String getCustomerId() {
        return customerId;
    }

    public void setCustomerId(String customerId) {
        this.customerId = customerId;
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    public String getShipperId() {
        return shipperId;
    }

    public void setShipperId(String shipperId) {
        this.shipperId = shipperId;
    }

    public String getShipperName() {
        return shipperName;
    }

    public void setShipperName(String shipperName) {
        this.shipperName = shipperName;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public Integer getDayPlanDid() {
        return dayPlanDid;
    }

    public void setDayPlanDid(Integer dayPlanDid) {
        this.dayPlanDid = dayPlanDid;
    }

    public Integer getRemarkDid() {
        return remarkDid;
    }

    public void setRemarkDid(Integer remarkDid) {
        this.remarkDid = remarkDid;
    }
}
