package pps.core.base.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import pps.core.base.entity.BasePriceStrategyDetailView;

import java.util.List;

/**
 * 市电峰谷当月明细配置
 *
 * @author ZWT
 * @date 2023/08/24
 */
@Repository(value = "pps.core.base.mapper.BasePriceStrategyDetailViewMapper")
public interface BasePriceStrategyDetailViewMapper {
    BasePriceStrategyDetailView selectOne(BasePriceStrategyDetailView record);

    List<BasePriceStrategyDetailView> selectList(BasePriceStrategyDetailView record);

    /**
     * 批量新增
     *
     * @param list 列表
     * @return int
     */
    int batchInsertList(@Param(value = "list") List<BasePriceStrategyDetailView> list);
}
