package pps.core.base.mapper;

import org.springframework.stereotype.Repository;
import pps.core.base.entity.MeteringDictionaryView;
import pps.core.base.entity.QuerySelectBoxOutputView;
import pps.core.base.service.data.metering_dictionary.QuerySelectBoxInput;
import pps.core.base.service.data.metering_dictionary.QuerySelectBoxStationPipelineInput;

import java.util.List;

@Repository(value="pps.core.base.mapper.MeteringDictionaryViewMapper")
public interface MeteringDictionaryViewMapper {
    MeteringDictionaryView selectOne(MeteringDictionaryView record);
    List<MeteringDictionaryView> selectList(MeteringDictionaryView record);
    List<QuerySelectBoxOutputView> selectEnterprieNameSelectBox();
    List<QuerySelectBoxOutputView> selectSubUnitNameSelectBox(QuerySelectBoxInput input);
    List<QuerySelectBoxOutputView> selectStationNameSelectBox(QuerySelectBoxInput input);
    List<QuerySelectBoxOutputView> selectPipeLineNameSelectBox(QuerySelectBoxInput input);
    List<QuerySelectBoxOutputView> selectCustomerNameSelectBox(QuerySelectBoxStationPipelineInput input);
    List<QuerySelectBoxOutputView> selectDictionarySelectBox(QuerySelectBoxInput input);
    List<QuerySelectBoxOutputView> selectDictionaryRelSelectBox(QuerySelectBoxInput input);
}
