package pps.core.base.service.data.base_client_station_rel;

import xstartup.annotation.XText;
import xstartup.base.data.XPageInput;

import java.math.BigDecimal;
import java.util.Date;
public class QueryBaseClientStationRelViewOutput extends XPageInput {
    @XText("上下游名称")
    private String clientName;

    @XText("上下游用户id")
    private String clientId;

    @XText("上下游用户与场站关系表id(主键)")
    private String id;

    @XText("场站id")
    private String stationId;

    @XText("场站名称")
    private String stationName;

    @XText("管线id")
    private String pipelineId;

    @XText("管线名称")
    private String pipelineName;

    @XText("组织机构id")
    private String ouid;

    @XText("托运商id")
    private String consignor;

    @XText("托运商名称")
    private String consignorName;

    @XText("客户类型（上游用户/下游用户）")
    private Integer type;

    @XText("生效时间")
    private Date effectTime;

    @XText("截止时间")
    private Date endTime;

    @XText("长度")
    private BigDecimal segmentLength;

    @XText("半径")
    private BigDecimal segmentRadius;

    @XText("厚度")
    private BigDecimal thickness;

    @XText("容量")
    private BigDecimal capacity;

    @XText("管段名称")
    private String segmentName;

    @XText("是否有效")
    private Integer beValid;

    public Integer getBeValid() {
        return beValid;
    }

    public void setBeValid(Integer beValid) {
        this.beValid = beValid;
    }

    public String getSegmentName() {
        return segmentName;
    }

    public void setSegmentName(String segmentName) {
        this.segmentName = segmentName;
    }

    public BigDecimal getSegmentLength() {
        return segmentLength;
    }

    public void setSegmentLength(BigDecimal segmentLength) {
        this.segmentLength = segmentLength;
    }

    public BigDecimal getSegmentRadius() {
        return segmentRadius;
    }

    public void setSegmentRadius(BigDecimal segmentRadius) {
        this.segmentRadius = segmentRadius;
    }

    public BigDecimal getThickness() {
        return thickness;
    }

    public void setThickness(BigDecimal thickness) {
        this.thickness = thickness;
    }

    public BigDecimal getCapacity() {
        return capacity;
    }

    public void setCapacity(BigDecimal capacity) {
        this.capacity = capacity;
    }

    public String getClientName() {
        return clientName;
    }

    public void setClientName(String clientName) {
        this.clientName = clientName;
    }

    public String getClientId() {
        return clientId;
    }

    public void setClientId(String clientId) {
        this.clientId = clientId;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getStationId() {
        return stationId;
    }

    public void setStationId(String stationId) {
        this.stationId = stationId;
    }

    public String getStationName() {
        return stationName;
    }

    public void setStationName(String stationName) {
        this.stationName = stationName;
    }

    public String getPipelineId() {
        return pipelineId;
    }

    public void setPipelineId(String pipelineId) {
        this.pipelineId = pipelineId;
    }

    public String getPipelineName() {
        return pipelineName;
    }

    public void setPipelineName(String pipelineName) {
        this.pipelineName = pipelineName;
    }

    public String getOuid() {
        return ouid;
    }

    public void setOuid(String ouid) {
        this.ouid = ouid;
    }

    public String getConsignor() {
        return consignor;
    }

    public void setConsignor(String consignor) {
        this.consignor = consignor;
    }

    public String getConsignorName() {
        return consignorName;
    }

    public void setConsignorName(String consignorName) {
        this.consignorName = consignorName;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Date getEffectTime() {
        return effectTime;
    }

    public void setEffectTime(Date effectTime) {
        this.effectTime = effectTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }
}
