package pps.core.base.service.data.base_pipeline;

import xstartup.annotation.XText;

import java.util.List;

public class BasePipelineTreeOutput {
    @XText("管线ID(主键)")
    private String id;

    @XText("管线名称")
    private String pipelineName;

    @XText("管线缩写")
    private String shortName;

    @XText("上级管线ID,若无上级为空(此字段一般用于支线)")
    private String parentPipelineId;

    @XText("子集")
    private List<BasePipelineTreeOutput> children;

    @XText("子集")
    private Integer sort;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getPipelineName() {
        return pipelineName;
    }

    public void setPipelineName(String pipelineName) {
        this.pipelineName = pipelineName;
    }

    public String getShortName() {
        return shortName;
    }

    public void setShortName(String shortName) {
        this.shortName = shortName;
    }

    public String getParentPipelineId() {
        return parentPipelineId;
    }

    public void setParentPipelineId(String parentPipelineId) {
        this.parentPipelineId = parentPipelineId;
    }

    public List<BasePipelineTreeOutput> getChildren() {
        return children;
    }

    public void setChildren(List<BasePipelineTreeOutput> children) {
        this.children = children;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }
}
