package pps.core.base.service.data.base_station;

import xstartup.annotation.XText;

import java.util.Date;

public class UpdateBaseStationOutput {
    @XText("场站ID")
    private String id;

    @XText("场站编码")
    private String stationCode;

    @XText("场站名称")
    private String stationName;

    @XText("简称")
    private String shortName;

    @XText("场站类型(字典,场站、阀室、储气库、油库)")
    private String stationType;

    @XText("备注")
    private String remark;

    @XText("生效时间")
    private Date effectTime;

    @XText("结束时间")
    private Date endTime;

    @XText("排序")
    private Integer sort;

    @XText("SCADA场站编号")
    private String scadaStationCode;

    @XText("介质类型(字典)")
    private String mediumType;

    @XText("地址")
    private String address;

    @XText("国家")
    private String country;

    @XText("省份")
    private String province;

    @XText("市")
    private String city;

    @XText("县")
    private String county;

    @XText("高程(海拔)")
    private Double altitude;

    @XText("场站级别(字典)")
    private String stationLevel;

    @XText("创建人")
    private String createById;

    @XText("创建人名称")
    private String createByName;

    @XText("创建时间")
    private Date createTime;

    @XText("修改人")
    private String modifyById;

    @XText("修改人名称")
    private String modifyByName;

    @XText("修改时间")
    private Date modifyTime;

    @XText("SCADA数据库（字典）")
    private String scadaDb;

    @XText("经度")
    private String stationLongitude;

    @XText("纬度")
    private String stationLatitude;

    public String getId() {
        return this.id;
    }

    public void setId(String value) {
        this.id = value;
    }

    public String getStationCode() {
        return this.stationCode;
    }

    public void setStationCode(String value) {
        this.stationCode = value;
    }

    public String getStationName() {
        return this.stationName;
    }

    public void setStationName(String value) {
        this.stationName = value;
    }

    public String getShortName() {
        return this.shortName;
    }

    public void setShortName(String value) {
        this.shortName = value;
    }

    public String getStationType() {
        return this.stationType;
    }

    public void setStationType(String value) {
        this.stationType = value;
    }

    public String getRemark() {
        return this.remark;
    }

    public void setRemark(String value) {
        this.remark = value;
    }

    public Date getEffectTime() {
        return this.effectTime;
    }

    public void setEffectTime(Date value) {
        this.effectTime = value;
    }

    public Date getEndTime() {
        return this.endTime;
    }

    public void setEndTime(Date value) {
        this.endTime = value;
    }

    public Integer getSort() {
        return this.sort;
    }

    public void setSort(Integer value) {
        this.sort = value;
    }

    public String getScadaStationCode() {
        return this.scadaStationCode;
    }

    public void setScadaStationCode(String value) {
        this.scadaStationCode = value;
    }

    public String getMediumType() {
        return this.mediumType;
    }

    public void setMediumType(String value) {
        this.mediumType = value;
    }

    public String getAddress() {
        return this.address;
    }

    public void setAddress(String value) {
        this.address = value;
    }

    public String getCountry() {
        return this.country;
    }

    public void setCountry(String value) {
        this.country = value;
    }

    public String getProvince() {
        return this.province;
    }

    public void setProvince(String value) {
        this.province = value;
    }

    public String getCity() {
        return this.city;
    }

    public void setCity(String value) {
        this.city = value;
    }

    public String getCounty() {
        return this.county;
    }

    public void setCounty(String value) {
        this.county = value;
    }

    public Double getAltitude() {
        return this.altitude;
    }

    public void setAltitude(Double value) {
        this.altitude = value;
    }

    public String getStationLevel() {
        return this.stationLevel;
    }

    public void setStationLevel(String value) {
        this.stationLevel = value;
    }

    public String getCreateById() {
        return this.createById;
    }

    public void setCreateById(String value) {
        this.createById = value;
    }

    public String getCreateByName() {
        return this.createByName;
    }

    public void setCreateByName(String value) {
        this.createByName = value;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date value) {
        this.createTime = value;
    }

    public String getModifyById() {
        return this.modifyById;
    }

    public void setModifyById(String value) {
        this.modifyById = value;
    }

    public String getModifyByName() {
        return this.modifyByName;
    }

    public void setModifyByName(String value) {
        this.modifyByName = value;
    }

    public Date getModifyTime() {
        return this.modifyTime;
    }

    public void setModifyTime(Date value) {
        this.modifyTime = value;
    }

    public String getScadaDb() {
        return this.scadaDb;
    }

    public void setScadaDb(String value) {
        this.scadaDb = value;
    }

    public String getStationLongitude() {
        return this.stationLongitude;
    }

    public void setStationLongitude(String value) {
        this.stationLongitude = value;
    }

    public String getStationLatitude() {
        return this.stationLatitude;
    }

    public void setStationLatitude(String value) {
        this.stationLatitude = value;
    }

}
