package pps.core.task.job;

import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XServiceResult;
import xstartup.service.job.XJob;
import xstartup.service.job.annotation.XCronTrigger;

@XText("天气数据，每8小时执行一次")
@XService
public class WeatherJob implements XJob {
    @XCronTrigger(value = "0 0/30 * * * ?")
    @Override
    public XServiceResult execute(XContext context) {
        context.getLogger().info("---WeatherJob-----");
//        BaseWatherCloudService cloudService = context.getBean(BaseWatherCloudService.class);
//        cloudService.crawlPlantBaseWatherData(context);
        return XServiceResult.OK;
    }
}
