package pps.core.space.mapper;

import org.springframework.stereotype.Repository;
import pps.core.space.entity.SpaceOptimizeMidPeriodView;

import java.util.List;

/**
 * 中短期间开优化周期记录
 *
 * @author ZWT
 * @date 2023/09/07
 */
@Repository(value = "pps.core.space.mapper.SpaceOptimizeMidPeriodViewMapper")
public interface SpaceOptimizeMidPeriodViewMapper {
    SpaceOptimizeMidPeriodView selectOne(SpaceOptimizeMidPeriodView record);

    /**
     * 中短期间开优化周期记录列表
     *
     * @param record 记录
     * @return {@link List}<{@link SpaceOptimizeMidPeriodView}>
     */
    List<SpaceOptimizeMidPeriodView> selectList(SpaceOptimizeMidPeriodView record);
}
