package pps.core.space.service.data;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

/**
 * 间开优化时间区间
 *
 * @author ZWT
 * @date 2023/09/12 15:17
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class SpaceOptimizeDateDuration {

    @XText("井口ID")
    private String wellheadId;

    @XText("是否优化(0_是;1_否)")
    private Integer isOptimize;

    @XText("发电类型key(字典获取)")
    private String generationTypeKey;

    @XText("开井时间")
    private String openWellTime;

    @XText("关井时间")
    private String closeWellTime;

    @XText("井口状态:0_关井,1_开井")
    private Integer isOpen;
}
