package pps.core.space.service.data.space_optimize_long_duration;

import lombok.Data;
import xstartup.annotation.XText;

/**
 * 长期间开优化井口制度记录
 *
 * @author ZWT
 * @date 2023/09/07
 */
@Data
public class GetSpaceOptimizeLongDurationOutput {

    @XText("井口记录ID")
    private String recordId;

    @XText("长期优化周期ID")
    private String longPeriodId;

    @XText("井口ID")
    private String wellheadId;

    @XText("是否优化(0_是;1_否)")
    private Integer isOptimize;

    @XText("发电类型key(字典获取)")
    private String generationTypeKey;

    @XText("开井时间")
    private String openWellTime;

    @XText("关井时间")
    private String closeWellTime;
}
