package pps.core.space.service.data.space_optimize_short_period;

import lombok.Data;
import pps.core.space.service.data.space_optimize_short_wellhead.GetSpaceOptimizeShortWellheadViewOutput;
import xstartup.annotation.XText;

import java.util.List;

/**
 * 短期间开优化周期记录
 *
 * @author ZWT
 * @date 2023/09/07
 */
@Data
public class GetSpaceOptimizeShortPeriodViewOutput {

    /**
     * 电网类型key
     */
    @XText("电网类型key(字典获取)")
    private String gridTypeKey;

    /**
     * 井口列表
     */
    @XText("井口列表")
    private List<GetSpaceOptimizeShortWellheadViewOutput> wellheadList;
}
