package pps.core.prediction.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 能耗分析表(测试用)
 *
 * @author ZWT
 * @date 2023/11/23
 */
@Data
public class EnergyConsumptionAnalysisView implements Serializable {
    @XText("ID")
    @TableField
    private Long id;

    @XText("线路ID")
    @TableField
    private String lineId;

    @XText("发电量(kWh)")
    @TableField
    private BigDecimal powerGeneration;

    @XText("用电量(kWh)")
    @TableField
    private BigDecimal powerConsumption;

    @XText("日期")
    @TableField
    private Date dataDate;
}
