package pps.core.prediction.mapper;

import org.springframework.stereotype.Repository;
import pps.core.prediction.entity.EnergyConsumptionAnalysisView;

import java.util.List;

/**
 * 能耗分析表(测试用)
 *
 * @author ZWT
 * @date 2023/11/23
 */
@Repository(value = "pps.core.prediction.mapper.EnergyConsumptionAnalysisViewMapper")
public interface EnergyConsumptionAnalysisViewMapper {
    EnergyConsumptionAnalysisView selectOne(EnergyConsumptionAnalysisView record);

    List<EnergyConsumptionAnalysisView> selectList(EnergyConsumptionAnalysisView record);
}
