package pps.core.prediction.service.data.energy_consumption_curve;

import lombok.Data;
import xstartup.annotation.XText;

import java.math.BigDecimal;

/**
 * 用能曲线(模拟数据测试用)
 *
 * @author ZWT
 * @date 2023/09/20
 */
@Data
public class GetEnergyConsumptionCurveOutput {

    @XText("时")
    private String hourTime;

    @XText("光伏出力")
    private BigDecimal power;

    @XText("生产负荷")
    private BigDecimal productionLoad;
}
